/**************************************
****    CDROM.H  -  File reading   ****
****         Header File           ****
**************************************/

#ifndef	CDROM_H
#define CDROM_H

//-- Exported Variables ------------------------------------------------------
extern	int	cdrom_current_drive;

//-- Exported Functions ------------------------------------------------------
extern	int		cdrom_init(void);
extern	int		cdrom_load_prg_file(char *, unsigned int);
extern	int		cdrom_load_z80_file(char *, unsigned int);
extern	int		cdrom_load_fix_file(char *, unsigned int);
extern	int		cdrom_load_spr_file(char *, unsigned int);
extern	int		cdrom_load_pcm_file(char *, unsigned int);
extern	int		cdrom_load_pat_file(char *, unsigned int, unsigned int);
extern	int		cdrom_process_ipl(void);
extern	void	cdrom_shutdown(void);
extern	void	cdrom_load_title(void);

#endif
